This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1007733 - (CVE-2013-4343) CVE-2013-4343 Kernel: net: use-after-free TUNSETIFF
CVE-2013-4343 Kernel: net: use-after-free TUNSETIFF
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130911,repor...
: Security
Depends On: 1007739 1007741 1007951 1007952
Blocks: 1007721
  Show dependency treegraph
 
Reported: 2013-09-13 04:53 EDT by Prasad J Pandit
Modified: 2016-01-28 04:32 EST (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 07:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-09-13 04:53:05 EDT
Linux kernel built with the Universal TUN/TAP device driver(CONFIG_TUN) support
is vulnerable to a potential privilege escalation via an use-after-free flaw.
It could occur while doing an ioctl(TUNSETIFF) call.

A privileged(CAP_NET_ADMIN) user/program could use this flaw to crash the
kernel resulting DoS or potentially escalate privileges to gain root access
to a system.

Upstream fix:
-------------
 -> https://lkml.org/lkml/2013/9/11/335

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/09/12/3
Comment 1 Prasad J Pandit 2013-09-13 04:55:31 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 3 Prasad J Pandit 2013-09-13 04:58:34 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1007741]
Comment 7 Fedora Update System 2013-09-18 22:04:45 EDT
kernel-3.11.1-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-22 20:00:30 EDT
kernel-3.10.12-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-22 20:36:26 EDT
kernel-3.11.1-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2013-10-31 12:29:40 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html
Comment 13 John Kacur 2014-02-06 12:17:29 EST
Upstream commit 662ca437e714caaab855b12415d6ffd815985bc0

Note You need to log in before you can comment on or make changes to this bug.